%define name disable-centos-repos
%define version 0.2
%define release 1

Summary: Disable CentOS Repos found in centos-release
Name: %{name}
Version: %{version}
Release: %{release}
License: public-domain
Group: System/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch

%description
The only job of this RPM is to disable the CentOS repositories in
centos-release.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cat > $RPM_BUILD_ROOT/usr/sbin/disable-centos-repos <<EOF
#/bin/bash

sed -ri 's#enabled=.##;s#^(\[[^]]+\])#&\nenabled=0#' /etc/yum.repos.d/CentOS-*.repo  2>/dev/null
exit 0

EOF
chmod 755 $RPM_BUILD_ROOT/usr/sbin/disable-centos-repos

%triggerin -- centos-release
/usr/sbin/disable-centos-repos

%post
/usr/sbin/disable-centos-repos

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/disable-centos-repos

